Debian Bug report logs - #610384
libparallel-forkmanager-perl: new upstream version

version graph

Package: libparallel-forkmanager-perl; Maintainer for libparallel-forkmanager-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libparallel-forkmanager-perl is src:libparallel-forkmanager-perl.

Reported by: Matt Taggart <taggart@debian.org>

Date: Tue, 18 Jan 2011 05:21:01 UTC

Severity: wishlist

Found in version libparallel-forkmanager-perl/0.7.5-2

Fixed in version libparallel-forkmanager-perl/1.02-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Lightsey <lightsey@debian.org>:
Bug#610384; Package libparallel-forkmanager-perl. (Tue, 18 Jan 2011 05:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
New Bug report received and forwarded. Copy sent to John Lightsey <lightsey@debian.org>. (Tue, 18 Jan 2011 05:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: submit@bugs.debian.org
Subject: libparallel-forkmanager-perl: new upstream version
Date: Mon, 17 Jan 2011 21:19:21 -0800
Package: libparallel-forkmanager-perl
Version: 0.7.5-2
Severity: wishlist

Parallel-ForkManager is up to version 0.7.9 in upstream. In particular I 
would like to be able to use the new data structure retrieval stuff that 
was added in 0.7.6.

Could you please package the latest version?

Thanks,

-- 
Matt Taggart
taggart@debian.org






Information forwarded to debian-bugs-dist@lists.debian.org, John Lightsey <lightsey@debian.org>:
Bug#610384; Package libparallel-forkmanager-perl. (Thu, 19 May 2011 02:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lightsey <john@nixnuts.net>:
Extra info received and forwarded to list. Copy sent to John Lightsey <lightsey@debian.org>. (Thu, 19 May 2011 02:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 610384@bugs.debian.org (full text, mbox):

From: John Lightsey <john@nixnuts.net>
To: Matt Taggart <taggart@debian.org>, 610384@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#610384: libparallel-forkmanager-perl: new upstream version
Date: Wed, 18 May 2011 20:25:09 -0500
tags 610384 + wontfix
thanks

The handling of files in /tmp with Parallel::Forkmanager 0.7.6+ is very
insecure.

http://rt.cpan.org/Ticket/Display.html?id=68298




Added tag(s) wontfix. Request was from John Lightsey <john@nixnuts.net> to control@bugs.debian.org. (Thu, 19 May 2011 02:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, John Lightsey <lightsey@debian.org>:
Bug#610384; Package libparallel-forkmanager-perl. (Thu, 28 Mar 2013 15:12:04 GMT) Full text and rfc822 format available.

Message #15 received at 610384@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: John Lightsey <john@nixnuts.net>, 610384@bugs.debian.org
Cc: Matt Taggart <taggart@debian.org>, debian-perl@lists.debian.org
Subject: Re: Bug#610384: libparallel-forkmanager-perl: new upstream version
Date: Thu, 28 Mar 2013 16:58:25 +0200
-=| John Lightsey, 18.05.2011 20:25:09 -0500 |=-
> tags 610384 + wontfix
> thanks
> 
> The handling of files in /tmp with Parallel::Forkmanager 0.7.6+ is very
> insecure.
> 
> http://rt.cpan.org/Ticket/Display.html?id=68298

Dear John,

It seems to me that the current upstream version (1.03) of 
Parallel::ForkManager is better in handling temporary files. Although 
all the files still use predictable names, they are all created in 
a directory created by File::Temp::tmpdir, which should be safe enough 
AIUI.

Maybe you would consider uploading an updated package? Experimental 
should be fine if you don't want to disturb the freeze.


As an alternative, in case you don't have time for this package, 
I offer to take it over to the pkg-perl team (which you are welcome to 
join too).

Best regards,
    dam



Information forwarded to debian-bugs-dist@lists.debian.org, John Lightsey <lightsey@debian.org>:
Bug#610384; Package libparallel-forkmanager-perl. (Fri, 29 Mar 2013 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lightsey <john@nixnuts.net>:
Extra info received and forwarded to list. Copy sent to John Lightsey <lightsey@debian.org>. (Fri, 29 Mar 2013 15:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 610384@bugs.debian.org (full text, mbox):

From: John Lightsey <john@nixnuts.net>
To: Damyan Ivanov <dmn@debian.org>, 610384@bugs.debian.org, Matt Taggart <taggart@debian.org>, debian-perl@lists.debian.org
Subject: Re: Bug#610384: libparallel-forkmanager-perl: new upstream version
Date: Fri, 29 Mar 2013 10:04:23 -0500
[Message part 1 (text/plain, inline)]
On 03/28/2013 09:58 AM, Damyan Ivanov wrote:
> -=| John Lightsey, 18.05.2011 20:25:09 -0500 |=-
>> tags 610384 + wontfix
>> thanks
>>
>> The handling of files in /tmp with Parallel::Forkmanager 0.7.6+ is very
>> insecure.
>>
>> http://rt.cpan.org/Ticket/Display.html?id=68298
> 
> Dear John,
> 
> It seems to me that the current upstream version (1.03) of 
> Parallel::ForkManager is better in handling temporary files. Although 
> all the files still use predictable names, they are all created in 
> a directory created by File::Temp::tmpdir, which should be safe enough 
> AIUI.
> 
> Maybe you would consider uploading an updated package? Experimental 
> should be fine if you don't want to disturb the freeze.
> 
> 
> As an alternative, in case you don't have time for this package, 
> I offer to take it over to the pkg-perl team (which you are welcome to 
> join too).

If the Debian Perl team would like to take over the three Perl modules
I'm maintaining, please feel free to do so. My git repos for these
packages are here:

http://nixnuts.net/git/libyaml-tiny-perl.git
http://nixnuts.net/git/libfinance-quotehist-perl.git
http://nixnuts.net/git/libparallel-forkmanager-perl.git

I have the 1.02 version of Parallel::Forkmanager packaged already and
have been holding off on an upload due to the release freeze.

John

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, John Lightsey <lightsey@debian.org>:
Bug#610384; Package libparallel-forkmanager-perl. (Sat, 30 Mar 2013 21:48:04 GMT) Full text and rfc822 format available.

Message #23 received at 610384@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: John Lightsey <john@nixnuts.net>
Cc: 610384@bugs.debian.org, Matt Taggart <taggart@debian.org>, debian-perl@lists.debian.org
Subject: Re: Bug#610384: libparallel-forkmanager-perl: new upstream version
Date: Sat, 30 Mar 2013 23:38:13 +0200
[Message part 1 (text/plain, inline)]
Control: tags -1 -wontfix pending

-=| John Lightsey, 29.03.2013 10:04:23 -0500 |=-
> If the Debian Perl team would like to take over the three Perl 
> modules
> I'm maintaining, please feel free to do so. My git repos for these
> packages are here:
> 
> http://nixnuts.net/git/libyaml-tiny-perl.git
> http://nixnuts.net/git/libfinance-quotehist-perl.git
> http://nixnuts.net/git/libparallel-forkmanager-perl.git
> 
> I have the 1.02 version of Parallel::Forkmanager packaged already and
> have been holding off on an upload due to the release freeze.

Excellent! Thanks for the quick reply. I am going to migrate the above 
three packages to the group.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) wontfix. Request was from Damyan Ivanov <dmn@debian.org> to 610384-submit@bugs.debian.org. (Sat, 30 Mar 2013 21:48:04 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Sun, 31 Mar 2013 21:36:05 GMT) Full text and rfc822 format available.

Notification sent to Matt Taggart <taggart@debian.org>:
Bug acknowledged by developer. (Sun, 31 Mar 2013 21:36:05 GMT) Full text and rfc822 format available.

Message #30 received at 610384-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 610384-close@bugs.debian.org
Subject: Bug#610384: fixed in libparallel-forkmanager-perl 1.02-1
Date: Sun, 31 Mar 2013 21:32:37 +0000
Source: libparallel-forkmanager-perl
Source-Version: 1.02-1

We believe that the bug you reported is fixed in the latest version of
libparallel-forkmanager-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610384@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libparallel-forkmanager-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 01 Apr 2013 00:28:40 +0300
Source: libparallel-forkmanager-perl
Binary: libparallel-forkmanager-perl
Architecture: source all
Version: 1.02-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libparallel-forkmanager-perl - simple parallel processing fork manager for Perl
Closes: 610384
Changes: 
 libparallel-forkmanager-perl (1.02-1) unstable; urgency=low
 .
   [ John Lightsey ]
   [John Lightsey]
   * New upstream release (closes: #610384)
   * Update debian/rules and debian/copyright
 .
   [ Damyan Ivanov ]
   * Take over for the Debian Perl Group with maintainer's permission
     (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=610384#20)
   * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
     field (source stanza). Changed: Homepage field changed to
     metacpan.org URL; Maintainer set to Debian Perl Group <pkg-perl-
     maintainers@lists.alioth.debian.org> (was: John Lightsey
     <lightsey@debian.org>); added myself to Uploaders.
   * Add debian/watch.
   * debian/copyright: Source URL changed to metacpan.org URL.
   * control: improve description by replacing 'This module' by module name and
     removing article from short description's start
   * slight adjustment to d/copyright to bring it in line with DEP-5
   * stop shipping redundant README in the package
   * Standards-Version: 3.9.4
   * add patch fixing two errors in embedded documentation
Checksums-Sha1: 
 bb9a1f7dbc433ad40e9b31685de45b5312f1635b 2126 libparallel-forkmanager-perl_1.02-1.dsc
 995a2e7747a73f223c5af520d4fe559dd018c668 13270 libparallel-forkmanager-perl_1.02.orig.tar.gz
 73d4c4a8421461cf630fa60235b00b45a36eba22 2497 libparallel-forkmanager-perl_1.02-1.debian.tar.gz
 4886cde54ea0c842282f8a385759f41de8541455 19460 libparallel-forkmanager-perl_1.02-1_all.deb
Checksums-Sha256: 
 1f8fa300c0670225c202adc9197fdbfeed50e3f4df0f4817a5c640c41b14a9af 2126 libparallel-forkmanager-perl_1.02-1.dsc
 fb005d9a25b9bab86244673deaeefc18e83c590dd2b9b74ef53d21134c981534 13270 libparallel-forkmanager-perl_1.02.orig.tar.gz
 fa6fd58c04cfeadab7eb93082c96065a1ea5dc20b4dab0b8eef1835fc70a136e 2497 libparallel-forkmanager-perl_1.02-1.debian.tar.gz
 f062dc1cf93690fb9d46701bf8ab36dd5468bef50afc52b0177788fc272ea53f 19460 libparallel-forkmanager-perl_1.02-1_all.deb
Files: 
 fe5147a2581a034257180388c5960156 2126 perl optional libparallel-forkmanager-perl_1.02-1.dsc
 f92e64c9578789460d36bb7183ba08ca 13270 perl optional libparallel-forkmanager-perl_1.02.orig.tar.gz
 dd2a42d3764bb60f1d002bf5656e46a1 2497 perl optional libparallel-forkmanager-perl_1.02-1.debian.tar.gz
 6033bbf65122b26e66671d3e936eee7e 19460 perl optional libparallel-forkmanager-perl_1.02-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRWKrdAAoJENu+nU2Z0qAEp0kP/1RZQ52l1XfumFYATWxTLSUv
ZrP17H/iK02AJ+ffBbDzahbv/12Dqa71LNHhycnSpCc6vDp0oKFGl2Fo6RFVViAJ
kT7YfVu0kv+b3pELhLfXjLgw7T5V8E3Emi63OP6NOnlqiDDDs/3TngZBV5UdS3jU
J/d2D12Y8W32SS0SRzsxzZuzloJIoiSnfnVhP5hYO+D8TyKnvpKOBVimlEyPt++u
KH9qeYmHz+5A6BsU1GzRA5FOZnWkeElfHs25UfH9mK4MWcoLjJf0WmyB9ErvTDJ8
oj0+Ar+SC882ltVso+h9DndvSQEMWpQ575XjVzi7a0fhdXYGUQS0pXVGgBHCya6O
RgJPCxhCll2IRFO8+W3uzWqipoIFBPKZ2tca61XaRRY0d47TIt/LDxPBIQtB1V5t
u6sjqequ/BiagzjVjaQYwOiV/XHhTKKt9fs0ns6wn3CSvMGmZn6HiDzFgro9ow5g
3C7O2QrreATc+a27n1EF9CEgj0CkTAxK9v3ilaWMAO1N6nUlU0KK5R3p7sCGqYKT
4ddZ7/7MOAGb0boi5vHnQUVGkMyDEHxJpjnLHOLwMVr7RYj/FwV4+8GZEPgXOCEx
onuftuujkS4TqT3adIiX4/fPW1/dCGrrb/gQkvzBpQYAunx8z7dlVkVn6lr95Ats
RGWmnR+ZAnFyRRbyM3k0
=PpFp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 09:13:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:31:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.